:
# suckwrapper.sh -- extract news with suck
#	use this to collect the output from suck.sh

SuckOpt=

while [ ! -z "$1" ]
do
	case "$1" in
	-p|+p)	SuckOpt="$SuckOpt $1" ;;
	-*)	echo "$0: Error: Unknown option $1" ; exit ;;
	*)	echo "$0: Error: Unknown parameter $1" ; exit ;;
	esac
	shift
done

case `id` in
*news*) ;;
*)	echo "$0: Your id is not news" ; exit ;;
esac

dir=/home/news/suck

if [ ! -d "$dir" ]
then
	echo "$0: Could not find the directory $dir"
	exit
fi

cd "$dir"

for dash in "-----" "----" "---" "--" "-" ""
do
	if [ -f "suck.err$dash" ]
	then
		if [ -f "suck.err-$dash" ] ; then rm -f "suck.err-$dash" ; fi
		mv "suck.err$dash" "suck.err-$dash"
	fi
done

rm -f suck.err mesgall.txt

# -p = purge old news, +p = skip purge
# -e = empty result ok

./suck.sh -p    $SuckOpt -n news | 2>&1 tee suck.err
./suck.sh +p -e $SuckOpt -n news.mozilla.org | 2>&1 tee --append suck.err

# ./suck.sh +p -e $SuckOpt -n forums.borland.com | 2>&1 tee --append suck.err
# ./suck.sh +p -e $SuckOpt -n beta.tera-it.com | 2>&1 tee --append suck.err
# ./suck.sh +p -e $SuckOpt -n nt1.netsmart.com | 2>&1 tee --append suck.err

# mail -s "Suck log from `date`" william < suck.err

mail -s "Suck finished at `date`" william < mesgall.txt
